const RippleAPI = require('ripple-lib').RippleAPI
const api = new RippleAPI({ server: 'wss://rippled.xrptipbot.com' })

api.connect().then(() => {
  api.getServerInfo().then(server => {
    console.log('Connected', server)
    api.getTransactions('rf8kg7r5Fc8cCszGdD2jeUZt2FrgQd76BS', { 
      limit: 10, 
      earliestFirst: true 
    }).then(transactions => {
      console.log(transactions)
      api.disconnect()
    }).catch(console.error)
  })
}).catch(console.error);
